<?php
namespace Teknisa\CRM\Factory;

use Doctrine\ORM\EntityManager;

class ABAgendaFactory {
    
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        
        $this->connection       = $entityManager->getConnection();
    }

    public function generalInsertTask($paramsTask){

        $insert = "INSERT INTO FILACONTATO (DSFILACONTATO,DTPLANFILACONTA,CDOPERREAL,NRSEQFILACONTA,NRORG,DTINCLUSAO,NRORGINCLUSAO,
                               CDOPERINCLUSAO,NRPARCNEGOCIO,IDORIGFILACONTA,IDATIVO,NRCONTATO,NRSEQCONTATO, NRSEQINTERLOCUTOR, DSEMAILTAREFA, DSTELEFONETAREFA, NRSEQCLASSIFICATAREFA)
                    VALUES (:DSFILACONTATO,
                            :DTPLANFILACONTA,
                            :CDOPERREAL,
                            :NRSEQFILACONTA,
                            :NRORG,
                             SYSDATE,
                            :NRORGINCLUSAO,
                            :CDOPERINCLUSAO,
                            :NRPARCNEGOCIO,
                             'M',
                             'S',
                            :NRCONTATO,
                            :NRSEQCONTATO,
                            :NRSEQINTERLOCUTOR,
                            :DSEMAILTAREFA,
                            :DSTELEFONETAREFA,
                            :NRSEQCLASSIFICATAREFA)";
                 
        try{
            $std = $this->connection->prepare($insert);
            $std->execute($paramsTask);
            return $paramsTask['NRSEQFILACONTA'];
        }
        catch(\Exception $e){
            throw $e;
        };
    }
    
}
    