<?php
namespace Teknisa\CRM\Service;


class crm00050002ReservaProspectService
{
    
    protected $reservaProspectFactory;
    protected $newCode;
    
    public function __construct ($newCode, $reservaProspectFactory){

        $this->newCode                       = $newCode;
        $this->reservaProspectFactory        = $reservaProspectFactory;

    }
    
    public function callForInsertResaleProspect($row){
        
        $row["NRPROSPREVENDA"] = $this->newCode->getCodeByTableName("CRM_PROSPREVENDA", $row["NRORG"]);
        
        $paramsInsertResaleProspect = array(
            
            "NRPROSPREVENDA"        => $row["NRPROSPREVENDA"],
            "NRREVENDA"             => $row["NRREVENDA"],
            "NRPARCNEGOCIO"         => $row["NRPARCNEGOCIO"],
            "CDPROSPECT"            => $row["CDPROSPECT"],
            "NRORG"                 => $row["NRORG"],
            "NRORGINCLUSAO"         => $row["NRORG"],
            "CDOPERINCLUSAO"        => $row["CDOPERADOR"],
            "IDATIVO"               => $row["IDATIVO"],
            
        );
        
        $this->reservaProspectFactory->requestForInsertResaleProspect($paramsInsertResaleProspect);
        
    }
     
     
    public function callForSelectOperatorResaleNumber($row){
        
        $paramsSelectResaleNumber = array(
            
            "CDOPERREVENDA"         => $row["CDOPERADOR"]
            
        );
        
        $resaleNumber = $this->reservaProspectFactory->requestForSelectOperatorResaleNumber($paramsSelectResaleNumber);
        
        return $resaleNumber; 
    }   
    

}
?>